Package com.collibra.dgc.core.api.dto.assignment

# Class CharacteristicTypeAssignmentReference

Object
CharacteristicTypeAssignmentReference

All Implemented Interfaces:
  `Serializable`

public class CharacteristicTypeAssignmentReference extends Object implements Serializable
A reference to characteristic types corresponding to the assignment.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `CharacteristicTypeAssignmentReference.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharacteristicTypeAssignmentReference()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CharacteristicTypeAssignmentReference.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getId()`
  Required. The ID of the reference.
  `Integer`
  `getMax()`
  The maximum allowed, unlimited when null.
  `int`
  `getMin()`
  The minimum allowed.
  `Boolean`
  `getReadOnly()`
  When set to `true`, the value of the assigned Characteristic Type cannot be edited by the user.
  `RelationTypeDirection`
  `getRelationTypeDirection()`
  The relation type direction, if the referenced resource is a relation type; otherwise null.
  `UUID`
  `getRelationTypeRestriction()`
  The relation type restriction of the target asset type, if the referenced resource is a relation type; otherwise null.
  `String`
  `getResourceDiscriminator()`
  `ResourceType`
  `getType()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `int`
  `hashCode()`
  `void`
  `setId(UUID id)`
  Required. The ID of the reference.
  `void`
  `setMax(Integer max)`
  The maximum allowed, unlimited when null.
  `void`
  `setMin(int min)`
  The minimum allowed.
  `void`
  `setReadOnly(Boolean readOnly)`
  When set to `true`, the value of the assigned Characteristic Type cannot be edited by the user.
  `void`
  `setRelationTypeDirection(RelationTypeDirection relationTypeDirection)`
  The relation type direction, if the referenced resource is a relation type; otherwise null.
  `void`
  `setRelationTypeRestriction(UUID relationTypeRestriction)`
  The relation type restriction of the target asset type, if the referenced resource is a relation type; otherwise null.
  `void`
  `setResourceDiscriminator(String resourceDiscriminator)`
  Either this field, or the resourceType is required. The resource discriminator.
  `void`
  `setType(ResourceType type)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CharacteristicTypeAssignmentReference

    public CharacteristicTypeAssignmentReference()

- ## Method Details

  - ### getResourceDiscriminator

    public String getResourceDiscriminator()

  - ### getType

    @Deprecated(since="2025.01", forRemoval=true) public ResourceType getType()
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### setType

    @Deprecated(since="2025.01", forRemoval=true) public void setType(ResourceType type)
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### builder

    public static CharacteristicTypeAssignmentReference.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the reference.

  - ### getMin

    public int getMin()
    The minimum allowed.

  - ### getMax

    public Integer getMax()
    The maximum allowed, unlimited when null.

  - ### getReadOnly

    public Boolean getReadOnly()
    When set to `true`, the value of the assigned Characteristic Type cannot be edited by the user. Only applicable to AttributeType assignment lines. When `null`, the existing read-only flag is preserved on change paths (allowing clients that pre-date this field to send change requests without unintentionally clearing it).

  - ### getRelationTypeDirection

    public RelationTypeDirection getRelationTypeDirection()
    The relation type direction, if the referenced resource is a relation type; otherwise null.

  - ### getRelationTypeRestriction

    public UUID getRelationTypeRestriction()
    The relation type restriction of the target asset type, if the referenced resource is a relation type; otherwise null. When specified, it effectively replaces the source asset type of the relation when relationTypeDirection = TO_SOURCE or the target asset type of the relation when relationTypeDirection = TO_TARGET. You can specify the relation type restriction only when relationTypeDirection is not null. If specified, it must be an ID of a subtype of the source or target asset type, depending on the value of relationTypeDirection.

  - ### setId

    public void setId(UUID id)
    Required. The ID of the reference.

  - ### setMin

    public void setMin(int min)
    The minimum allowed.

  - ### setMax

    public void setMax(Integer max)
    The maximum allowed, unlimited when null.

  - ### setReadOnly

    public void setReadOnly(Boolean readOnly)
    When set to `true`, the value of the assigned Characteristic Type cannot be edited by the user. Only applicable to AttributeType assignment lines. When `null`, the existing read-only flag is preserved on change paths (allowing clients that pre-date this field to send change requests without unintentionally clearing it).

  - ### setResourceDiscriminator

    public void setResourceDiscriminator(String resourceDiscriminator)
    Either this field, or the resourceType is required. The resource discriminator. Possible values: 'AttributeType', 'RelationType', 'DerivedRelationType' and 'ComplexRelationType'.

  - ### setRelationTypeDirection

    public void setRelationTypeDirection(RelationTypeDirection relationTypeDirection)
    The relation type direction, if the referenced resource is a relation type; otherwise null.

  - ### setRelationTypeRestriction

    public void setRelationTypeRestriction(UUID relationTypeRestriction)
    The relation type restriction of the target asset type, if the referenced resource is a relation type; otherwise null. When specified, it effectively replaces the source asset type of the relation when relationTypeDirection = TO_SOURCE or the target asset type of the relation when relationTypeDirection = TO_TARGET. You can specify the relation type restriction only when relationTypeDirection is not null. If specified, it must be an ID of a subtype of the source or target asset type, depending on the value of relationTypeDirection.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`